UiPath Documentation
automation-suite
2.2510
true
Automation Suite API guide

Get external client

Retrieve a specific external OAuth client from an Automation Suite organization using the Identity API, including the Secret ID of the oldest secret.

Get a specific external client from an organization, and obtain the Secret ID of the oldest secret.

API endpoint

GET https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}

Scopes

Requires either one of the following scopes:

  • PM.OAuthApp
  • PM.OAuthApp.Read

Request headers

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Request body

The request body contains the organization ID from where you want to get the external client, and the corresponding client ID.

{
  "partitionGlobalId": "<organizationId>"
  "clientId": "<clientId>"
}
{
  "partitionGlobalId": "<organizationId>"
  "clientId": "<clientId>"
}

Responses

200 Success

The external client has been successfully retrieved.

{
  "name": "string",
  "id": "string",
  "secret": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "resources": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "scopes": [
        {
          "name": "string",
          "displayName": "string",
          "description": "string",
          "type": "user"
        }
      ]
    }
  ],
  "secrets": [
    {
      "id": 0,
      "description": "string",
      "secret": "string",
      "creationTime": "2025-07-18T12:57:01.155Z",
      "expiryTime": "2025-07-18T12:57:01.155Z"
    }
  ]
}
{
  "name": "string",
  "id": "string",
  "secret": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "resources": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "scopes": [
        {
          "name": "string",
          "displayName": "string",
          "description": "string",
          "type": "user"
        }
      ]
    }
  ],
  "secrets": [
    {
      "id": 0,
      "description": "string",
      "secret": "string",
      "creationTime": "2025-07-18T12:57:01.155Z",
      "expiryTime": "2025-07-18T12:57:01.155Z"
    }
  ]
}
  • API endpoint
  • Scopes
  • Request headers
  • Request body
  • Responses
  • 200 Success

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated